
/* 
 * VN5DView.h -- Interface file for the VN5DView class 
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or implied, as to 
 * its fitness for any particular use, nor even that it has a use.
 *
 */

#import <appkit/appkit.h>

@interface VN5DView:View {

	id		keyWindow;
	id		bernView;
	id		freqView;
	id		freqWindow;
	id		GolayPanel;
	id		GolayView;
	id		planeView;
	id		planeWindow;
	id		rtrnView;
	id		rtrnWindow;
	id		SqarView;
	id		SqarWindow;
	id		sqarView;
	id		sqarWindow;
	id		stretchView;
	id		stretchWindow;
	id		trajView;
	id		trajWindow;

	id		eachAndAll;
	id		freqColor0;
	id		freqColor1;
	id		freqColor2;
	id		freqColor3;
	id		freqColor4;
	id		freqColor5;
	id		freqColor6;
	id		freqColor7;
	id		freqColor8;
	id		freqColor9;
	id		freqColora;
	id		freqColorb;
	id		freqPerm0;
	id		freqPerm1;
	id		freqPerm2;
	id		freqPerm3;
	id		freqPerm4;
	id		freqPerm5;
	id		freqPerm6;
	id		freqPerm7;
	id		freqPerm8;
	id		freqPerm9;
	id		freqPerma;
	id		freqPermb;
	id		justTheView;
	id		stretchOut;

	id		theZMatrix;
	id		theOMatrix;
	id		theToMatrix;
	id		mMent;
	id		reStock;
	id		reStore;
	id		genEv;
	id		moTies;
	id		probDots;

	id		rulePanel;
	id		ruleNumber;
	id		ruleType;
	id		pSliders;
	id		pWindows;
	id		tRuleNumber;
	id		xsRuleNumber;

	id		menuCopy;
	id		menuPrint;

	id		tiTime;
	id		tiDat;

	id		delegate;
	id		crossCursor;

}

- checkerBoard:sender;
- copyRule:sender;
- copyTRule:sender;
- drawBern:sender;
- drawFreq:sender;
- drawFrequency:sender;
- drawMosaic:sender;
- drawPlEvol:sender;
- drawRtrn:sender;
- drawTraj:sender;
- enterRule:sender;
- enterTRule:sender;
- loadSqar:sender;
- printFreq:sender;
- printMosaic:sender;
- printPlEvol:sender;
- printRtrn:sender;
- printRule:sender;
- printSlowFreq:sender;
- printTraj:sender;
- randomLine:sender;
- readRule:sender;
- readTRule:sender;
- resetRule:sender;
- sCellLine:sender;
- showProbability:sender;
- slowFreq:sender;
- uniformLine:sender;

- uprule:sender;
- lerule:sender;
- dorule:sender;
- rirule:sender;
- idrule:sender;
- mjrule:sender;

- initFrame:(const NXRect *)frameRect;
- setDelegate:anObject;
- drawSelf:(const NXRect *)rects :(int)rectCount;
- sizeTo:(NXCoord)width :(NXCoord)height;
- mouseDown:(NXEvent *)theEvent;

@end

/* end VN5DView.h */
